> For the complete documentation index, see [llms.txt](https://docs.dexe.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dexe.network/contract-interfaces/factory-contracts/ipoolregistry.md).

# IPoolRegistry

## Interface Description

License: MIT

##

```solidity
interface IPoolRegistry
```

This is the PoolRegistry contract, a tuned ContractsRegistry contract. Its purpose is the management of proposal pools, GovPools and contracts related to GovPools. The owner of this contract is capable of upgrading pools' implementation via the ProxyBeacon pattern

## Functions info

### addProxyPool (0x09ae152b)

```solidity
function addProxyPool(string calldata name, address poolAddress) external
```

The function to add the pool proxy to the registry (called by the PoolFactory)

Parameters:

| Name        | Type    | Description                    |
| ----------- | ------- | ------------------------------ |
| name        | string  | the type of the pool           |
| poolAddress | address | the address of the pool to add |

### isGovPool (0x9e475551)

```solidity
function isGovPool(address potentialPool) external view returns (bool)
```

The function to check if the given address is a valid GovPool

Parameters:

| Name          | Type    | Description            |
| ------------- | ------- | ---------------------- |
| potentialPool | address | the address to inspect |

Return values:

| Name | Type | Description                                       |
| ---- | ---- | ------------------------------------------------- |
| \[0] | bool | true if the address is a GovPool, false otherwise |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.dexe.network/contract-interfaces/factory-contracts/ipoolregistry.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
